/****************************************************************************************** 
 *	Chili DirectX Framework Version 16.07.20											  *	
 *	Game.cpp																			  *
 *	Copyright 2016 PlanetChili.net <http://www.planetchili.net>							  *
 *																						  *
 *	This file is part of The Chili DirectX Framework.									  *
 *																						  *
 *	The Chili DirectX Framework is free software: you can redistribute it and/or modify	  *
 *	it under the terms of the GNU General Public License as published by				  *
 *	the Free Software Foundation, either version 3 of the License, or					  *
 *	(at your option) any later version.													  *
 *																						  *
 *	The Chili DirectX Framework is distributed in the hope that it will be useful,		  *
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of						  *
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the						  *
 *	GNU General Public License for more details.										  *
 *																						  *
 *	You should have received a copy of the GNU General Public License					  *
 *	along with The Chili DirectX Framework.  If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************************/
#include "MainWindow.h"
#include "Game.h"

Game::Game( MainWindow& wnd )
	:
	wnd( wnd ),
	gfx( wnd )
{
}

void Game::Go()
{
	gfx.BeginFrame();	
	UpdateModel();
	ComposeFrame();
	gfx.EndFrame();
}

// Make an RPG game without scrolling screen, but when you hit the borders it loads the next part of the world. Like the original Zelda games.
// Have it so you can sprint, but only for a short duration, and then there's a cooldown
// Make it so your character actually turns and faces the direction you move
// Have enemies

void Game::Dude(int x, int y, int r, int g, int b)
{
	gfx.PutPixel(x, y, r, g, b);
	gfx.PutPixel(x + 1, y, r, g, b);
	gfx.PutPixel(x + 1, y + 1, r, g, b);
	gfx.PutPixel(x, y + 1, r, g, b);
	gfx.PutPixel(x, y + 2, r, g, b);
	gfx.PutPixel(x + 2, y, r, g, b);
	gfx.PutPixel(x + 2, y + 1, r, g, b);
	gfx.PutPixel(x + 1, y + 2, r, g, b);
	gfx.PutPixel(x + 2, y + 2, r, g, b);

	if (wnd.kbd.KeyIsPressed(VK_RIGHT))
	{
		x = x + 5;
	}
	if (wnd.kbd.KeyIsPressed(VK_LEFT))
	{
		x = x - 5;
	}
	if (wnd.kbd.KeyIsPressed(VK_UP))
	{
		y = y - 5;
	}
	if (wnd.kbd.KeyIsPressed(VK_DOWN))
	{
		y = y + 5;
	}
}

/*void Game::Movement1(int x, int y)
{
	if (wnd.kbd.KeyIsPressed(VK_RIGHT))
	{
		x = x + 5;
	}
	if (wnd.kbd.KeyIsPressed(VK_LEFT))
	{
		x = x - 5;
	}
	if (wnd.kbd.KeyIsPressed(VK_UP))
	{
		y = y - 5;
	}
	if (wnd.kbd.KeyIsPressed(VK_DOWN))
	{
		y = y + 5;
	}
} */

void Game::UpdateModel()
{

}

void Game::ComposeFrame()
{
//	Movement1(bx, by);
	Dude(x1, y1, r1, g1, b1);
	Dude(x2, y2, r1, g1, b1);
}